Package Details: simh-git 4.0.Beta.1.3575.g4dfb3508-1

Git Clone URL: https://aur.archlinux.org/simh-git.git (read-only, click to copy)
Package Base: simh-git
Description: The Computer History Simulation Project
Upstream URL: http://simh.trailing-edge.com/
Keywords: emulator historic simulator vintage
Licenses: MIT
Conflicts: simh
Provides: simh
Submitter: raymii
Maintainer: ajacocks
Last Packager: ajacocks
Votes: 5
Popularity: 0.005829
First Submitted: 2016-11-19 19:13 (UTC)
Last Updated: 2024-01-09 22:02 (UTC)

Latest Comments

1 2 Next › Last »

MaximGun commented on 2024-03-15 15:11 (UTC)

Agree that the unoconv document conversion steps should simply be removed. It sucks that the documentation is in .doc format, but it's all available online. Having Libreoffice as a make dependency isn't the solution.

zxalexis commented on 2024-02-17 02:33 (UTC)

Please get rid of the unoconv. The package itself must be built on cli-only systems, but your mod pulls down libreoffice instead)))

lukas.fink1 commented on 2024-01-10 20:23 (UTC)

You could consider changing line 25 from

  { test "$(nproc)" -gt 1 && make -j"$(nproc)" ;} || make

to

  { test "$(nproc)" -gt 1 && make -j"$(nproc)" TESTS=0;} || make TESTS=0

in order to speed up the build process by a significant amount as running tests doesn’t really make much sense without any modifications to the code.

yaros commented on 2024-01-10 16:32 (UTC)

Hey ajacocks. I made a pull request to add pdf generation on github/simh-git-aur in September and you merged it. I'm still new to arch infrastructure, did I add it in the wrong place?

ajacocks commented on 2024-01-09 22:34 (UTC)

OK, hopefully all is working again. Sorry for the brokenness, the package used to autogen the .pdfs. Added the termcap dep, as suggested.

Also, I created the package 'opensimh-git', since development seems to be continuing, at different rates, on both forks.

ajacocks commented on 2024-01-09 21:57 (UTC)

nikdog: why is termcap needed?

MaximGun: I'm working on the docs fix, now.

MaximGun commented on 2023-10-20 18:52 (UTC)

Package is broken. It tries to install .pdfs that don't exist. An additional line to convert the .docs to .pdfs is required.

echo "Entering directory $srcdir/simh/doc."
cd "$srcdir/simh/doc"
unoconv -d document --format=html *.doc
unoconv -d document --format=txt *.doc
# install -D -t "$pkgdir/usr/share/doc/$pkgname" *.doc
install -D -t "$pkgdir/usr/share/doc/$pkgname" *.html
install -D -t "$pkgdir/usr/share/doc/$pkgname" *.pdf
install -D -t "$pkgdir/usr/share/doc/$pkgname" *.txt

nikdog commented on 2023-06-15 00:48 (UTC)

As of now, termcap is now a dependency to build.

penguinx42 commented on 2022-12-28 05:59 (UTC)

Note due to some non-free license changes in SIMH, a project was forked off called OpenSIMH. Should this package point there or I suppose a new package could be created? https://github.com/open-simh/simh

For more info on the license change: https://github.com/simh/simh/issues/1163

ajacocks commented on 2021-04-08 19:24 (UTC)

Hekuran, thanks. I already made an update to that effect, here.